net.i2p.router.web.helpers

## Class ConfigSidebarHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.ConfigSidebarHandler

-     public class ConfigSidebarHandler
      extends FormHandler

  Simple sidebar configuration handler.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigSidebarHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `moveSection()` Moves, adds, deletes, or saves sidebar sections ordering based on the current _action.
    `protected void` | `processForm()` Processes the form submission from the sidebar configuration page.
    `void` | `setMovingAction()` Scans settings to detect move button actions and sets the _action field accordingly.

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigSidebarHandler

          public ConfigSidebarHandler()

  - ### Method Detail

    - #### moveSection

          public void moveSection()

      Moves, adds, deletes, or saves sidebar sections ordering based on the current _action. Updates the sidebar sections order and persists the changes.

    - #### processForm

          protected void processForm()

      Processes the form submission from the sidebar configuration page. Handles add, delete, move, save order, and restore defaults actions. Delegates to helper methods as appropriate.
      Specified by:
        `processForm` in class `FormHandler`

    - #### setMovingAction

          public void setMovingAction()

      Scans settings to detect move button actions and sets the _action field accordingly.